MySAPClusterNode (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.packagedapp.mysap.basis.MySAPClusterNode interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.packagedapp.mysap.basis
Interface MySAPClusterNode

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface MySAPClusterNode

extends LogicalElement

Naming Rules:
  0="parent,clusterNodeID" 1="managedSystemName"
Persistable:
  true
Table Name:
  SAPNODE
Display Name:
  parent,clusterNodeID

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getClusterNodeID()`
`java.lang.String` | `getNodeType()`
`MySAPJ2EEEngineInstance` | `getParent()`
`boolean` | `hasClusterNodeID()`
`boolean` | `hasNodeType()`
`boolean` | `hasParent()`
`void` | `setClusterNodeID(java.lang.String clusterNodeID)`
`void` | `setNodeType(java.lang.String nodeType)`
`void` | `setParent(MySAPJ2EEEngineInstance parent)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    MySAPJ2EEEngineInstance getParent()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DeployedTo" reverse="false"

### setParent

    void setParent(MySAPJ2EEEngineInstance parent)

### hasParent

    boolean hasParent()

### getClusterNodeID

    java.lang.String getClusterNodeID()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClusterNodeID

    void setClusterNodeID(java.lang.String clusterNodeID)

### hasClusterNodeID

    boolean hasClusterNodeID()

### getNodeType

    java.lang.String getNodeType()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNodeType

    void setNodeType(java.lang.String nodeType)

### hasNodeType

    boolean hasNodeType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD